using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using Microsoft.EntityFrameworkCore;

namespace Strata.Code.DataAccess.Models;

[Table("FixChangeHistoryRequest", Schema = "fp")]
public partial class FixChangeHistoryRequest
{
    [Key]
    [Column("RequestGUID")]
    public Guid RequestGuid { get; set; }

    public byte ChangeHistoryRecordType { get; set; }

    [Column("DateCreatedUTC", TypeName = "datetime")]
    public DateTime DateCreatedUtc { get; set; }

    [Column("BasisID")]
    public int BasisId { get; set; }

    [Column("TimeClassID")]
    public byte TimeClassId { get; set; }

    [Column("BudgetPhaseID")]
    public byte BudgetPhaseId { get; set; }

    public bool IsRecordDeleted { get; set; }

    [Column(TypeName = "decimal(18, 0)")]
    public decimal Value01 { get; set; }

    [Column(TypeName = "decimal(18, 0)")]
    public decimal Value02 { get; set; }

    [Column(TypeName = "decimal(18, 0)")]
    public decimal Value03 { get; set; }

    [Column(TypeName = "decimal(18, 0)")]
    public decimal Value04 { get; set; }

    [Column(TypeName = "decimal(18, 0)")]
    public decimal Value05 { get; set; }

    [Column(TypeName = "decimal(18, 0)")]
    public decimal Value06 { get; set; }

    [Column(TypeName = "decimal(18, 0)")]
    public decimal Value07 { get; set; }

    [Column(TypeName = "decimal(18, 0)")]
    public decimal Value08 { get; set; }

    [Column(TypeName = "decimal(18, 0)")]
    public decimal Value09 { get; set; }

    [Column(TypeName = "decimal(18, 0)")]
    public decimal Value10 { get; set; }

    [Column(TypeName = "decimal(18, 0)")]
    public decimal Value11 { get; set; }

    [Column(TypeName = "decimal(18, 0)")]
    public decimal Value12 { get; set; }
}
